> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chessa.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Recipients by User ID

> Get all recipients for a specific user by ID.



## OpenAPI

````yaml GET /v1/recipients/user/{userId}
openapi: 3.0.3
info:
  title: Chessa Accounts API
  description: API collection for Chessa Accounts services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.chessa.ai
security: []
tags:
  - name: User Endpoints
    description: Endpoints related to user management
  - name: Configuration Endpoints
    description: Endpoints for fetching application configurations
  - name: Recipient Endpoints
    description: Endpoints for managing recipients
  - name: Order Endpoints
    description: Endpoints for managing orders
  - name: Rate Endpoints
    description: Endpoints for exchange rates and fees
  - name: Referral Endpoints
    description: Endpoints for managing referrals
paths:
  /v1/recipients/user/{userId}:
    parameters:
      - name: userId
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Recipient Endpoints
      summary: Get Recipients by User ID
      description: Get all recipients for a specific user by ID.
      operationId: getRecipientsByUserId
      parameters:
        - name: x-client-id
          in: header
          schema:
            type: string
            example: ''
        - name: x-client-secret
          in: header
          schema:
            type: string
            example: ''
      responses:
        '200':
          description: Success Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  recipients:
                    type: array
                    items:
                      type: object
                      properties:
                        accountName:
                          type: string
                          example: John Doe
                        accountNumber:
                          type: string
                          example: '0123456789'
                        bankCode:
                          type: string
                          example: '058'
                        bankName:
                          type: string
                          example: Guaranty Trust Bank
                        code:
                          type: string
                          example: gh_mtn
                        country:
                          type: string
                          example: NG
                        createdAt:
                          type: string
                          example: '2025-03-17T15:42:33.789Z'
                        currency:
                          type: string
                          example: NGN
                        id:
                          type: string
                          example: rec_abcdef123456789
                        type:
                          type: string
                          example: bank_account
                        updatedAt:
                          type: string
                          example: '2025-03-17T15:42:33.789Z'
                    example:
                      - accountName: John Doe
                        accountNumber: '0123456789'
                        bankCode: '058'
                        bankName: Guaranty Trust Bank
                        country: NG
                        createdAt: '2025-03-17T15:42:33.789Z'
                        currency: NGN
                        id: rec_abcdef123456789
                        type: bank_account
                        updatedAt: '2025-03-17T15:42:33.789Z'
                      - accountName: Jane Smith
                        accountNumber: '233544444444'
                        code: gh_mtn
                        country: GH
                        createdAt: '2025-03-16T10:22:15.456Z'
                        currency: GHS
                        id: rec_ghijkl987654321
                        type: mobile_money
                        updatedAt: '2025-03-16T10:22:15.456Z'
              examples:
                Success Response:
                  value:
                    recipients:
                      - accountName: John Doe
                        accountNumber: '0123456789'
                        bankCode: '058'
                        bankName: Guaranty Trust Bank
                        country: NG
                        createdAt: '2025-03-17T15:42:33.789Z'
                        currency: NGN
                        id: rec_abcdef123456789
                        type: bank_account
                        updatedAt: '2025-03-17T15:42:33.789Z'
                      - accountName: Jane Smith
                        accountNumber: '233544444444'
                        code: gh_mtn
                        country: GH
                        createdAt: '2025-03-16T10:22:15.456Z'
                        currency: GHS
                        id: rec_ghijkl987654321
                        type: mobile_money
                        updatedAt: '2025-03-16T10:22:15.456Z'
        '404':
          description: Error Response - User Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: not_found
                  message:
                    type: string
                    example: User not found
                  statusCode:
                    type: number
                    example: 404
              examples:
                Error Response - User Not Found:
                  value:
                    error: not_found
                    message: User not found
                    statusCode: 404

````